#!/bin/bash

export MPI_ROOT=/opt/openmpi/1.10.7
source /opt/gromacs-openmpi/5.0.7/bin/GMXRC.bash
htcores=`lscpu |grep "^CPU(s):" | awk '{print $2}'`
cores=$(($htcores / 2))

gmx_mpi pdb2gmx -f 1AKI.pdb -o 1AKI_processed.gro -water spce < all-atoms
gmx_mpi editconf -f 1AKI_processed.gro -o 1AKI_newbox.gro -c -d 1.0 -bt cubic
gmx_mpi solvate -box 10 10 10 -cp 1AKI_newbox.gro -cs spc216.gro -o 1AKI_solv.gro -p topol.top 
gmx_mpi grompp -f ions.mdp -c 1AKI_solv.gro -p topol.top -o ions.tpr
gmx_mpi genion -s ions.tpr -o 1AKI_solv_ions.gro -p topol.top -pname NA -nname CL -nn 8 < SOL

#em
$MPI_ROOT/bin/mpirun -np ${cores} gmx_mpi grompp -f minim.mdp -c 1AKI_solv_ions.gro -p topol.top -o em.tpr
$MPI_ROOT/bin/mpirun -np ${cores} gmx_mpi mdrun -v -deffnm em
#gmx_mpi energy -f em.edr -o potential.xvg < em.energy

#nvt
$MPI_ROOT/bin/mpirun -np ${cores} gmx_mpi grompp -f nvt.mdp -c em.gro -p topol.top -o nvt.tpr
$MPI_ROOT/bin/mpirun -np ${cores} gmx_mpi mdrun -deffnm nvt
#gmx_mpi energy -f nvt.edr -o temperature.xvg < nvt.energy

#npt
$MPI_ROOT/bin/mpirun -np ${cores} gmx_mpi grompp -f npt.mdp -c nvt.gro -t nvt.cpt -p topol.top -o npt.tpr
$MPI_ROOT/bin/mpirun -np ${cores} gmx_mpi mdrun -deffnm npt
#gmx_mpi energy -f npt.edr -o pressure.xvg < npt.energy
#gmx_mpi energy -f npt.edr -o density.xvg < npt.density 


#md
$MPI_ROOT/bin/mpirun -np ${cores} gmx_mpi grompp -f md.mdp -c npt.gro -t npt.cpt -p topol.top -o md_0_1.tpr
$MPI_ROOT/bin/mpirun -np ${cores} gmx_mpi mdrun -deffnm md_0_1

#Analysis
#gmx_mpi trjconv -s md_0_1.tpr -f md_0_1.xtc -o md_0_1_noPBC.xtc -pbc mol -ur compact < analysis.0
#gmx_mpi rms -s md_0_1.tpr -f md_0_1_noPBC.xtc -o rmsd.xvg -tu ns < analysis.4
#gmx_mpi rms -s em.tpr -f md_0_1_noPBC.xtc -o rmsd_xtal.xvg -tu ns < analysis.4
#gmx_mpi gyrate -s md_0_1.tpr -f md_0_1_noPBC.xtc -o gyrate.xvg < analysis.0

